<?php

namespace FiloBlu\Refilo\Console\Command;

use FiloBlu\Refilo\Model\Exporter\Search;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Output\OutputInterface;

/**
 * Class SomeCommand
 */
class ImportSearch extends Command {
    const NAME = 'search';
    /**
     * @var Menu
     */
    private $countries;
    /**
     * @var Search
     */
    private $search;

    /**
     * ImportBlocks constructor.
     * @param Search $searchBlock
     * @param string $name
     */
    public function __construct(
        Search $searchBlock,
        string $name = null
    ) {
        $this->search = $searchBlock;
        parent::__construct($name);
    }

    /**
     * @inheritDoc
     */
    protected function configure()
    {
        $options = [
            new InputOption(
                self::NAME,
                null,
                InputOption::VALUE_REQUIRED,
                'Name'
            )
        ];

        $this->setName('refilo:sync:search');
        $this->setDescription('Import Search');
        $this->setDefinition($options);

        parent::configure();
    }

    /**
     * Execute the command
     *
     * @param InputInterface $input
     * @param OutputInterface $output
     *
     * @return void
     */
    protected function execute(InputInterface $input, OutputInterface $output)
    {
        $this->search->export();
        $output->writeln('<info>Success.</info>');
    }
}
